// Version 6.06  29.11.2009 Markus Greither
// Copyright (c) 1991-2009 Markus Greither

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */

/*! \file efdefs.h
    \brief Global definitions
*/

#ifndef __EFDEF__
#define __EFDEF__

//! PI for compilers that have it
#if !defined(M_PI)
#define M_PI 3.14159265358979323846
#endif

#if !defined(M_PI_2)
#define M_PI_2 1.57079632679489661923
#endif

#if !defined(M_1_PI)
#define M_1_PI 0.318309886183790671538
#endif

#if !defined(M_E)
#define M_E 2.71828182845904523536
#endif

#ifndef wxCLIP_SIBLINGS
//! Patches wxWindows 2.2.X because of missing wxCLIP_SIBLINGS
#define wxCLIP_SIBLINGS 0x20000
#endif

//! Define now obsolete EFXmlResource, but we actually use wxXmlResource
#define EFXmlResource wxXmlResource

#if defined(MG_UNICODE) || defined(UNICODE) || defined(_UNICODE)
#ifndef UNICODE
#define UNICODE 1
#endif

#ifndef _UNICODE
#define _UNICODE 1
#endif

#endif

//! Macro for marking translatable strings in non-wx code
#if defined(UNICODE) || defined(MG_UNICODE)
#define _EFT(x) _TEXT(x)

#ifdef _MSC_VER
#define _WS L
#else
#define _WS
#endif

#else
#define _EFT(x) x

#define _WS

#endif

//! MG-Debugging enable when debug mode
#ifdef __WXDEBUG__
#define __MGDEBUG__
#endif

//! Solve ambigous string pointers for wxWidgets 2.9.0
#ifdef wxCHECK_VERSION
  #if wxCHECK_VERSION(2,9,0)
    #define EF_C_STR wc_str
  #else
    #define EF_C_STR c_str
  #endif
#endif
#endif

