// Version 5.18  09.03.2003 Markus Greither
// Copyright (c) 1991-2003 Markus Greither

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */

/*! \file efedplvw.h
    \brief Header for the plain text function viewer
*/

#ifndef __EFEDPLVW__
#define __EFEDPLVW__

// ----------------------------------------------------------------------------
// TEFEditPlainView
// ----------------------------------------------------------------------------

//! Plain text display line for current function
/*!
    Is shown on top of the document and automatically
    displays the current function, also shows the
    cursor / selection position.
*/
class TEFEditPlainView : public wxTextCtrl
{
  //! Currently displayed line
  FormatStrObj AkZeile;
  //! Current selection
  unsigned int AkAnf,AkEnd;

 public:
  //! Ctor
  TEFEditPlainView() : wxTextCtrl() {}
  //! Ctor
  TEFEditPlainView(wxWindow* parent, wxWindowID id,
                   const wxPoint& pos = wxDefaultPosition,
                   const wxSize& size = wxDefaultSize,
                   long style = wxTE_READONLY+wxTE_NOHIDESEL);
  //! Check current line / position in Editor
  void OnIdle(wxIdleEvent &event);
  //! Disable left click
  void OnLButtonDown(wxMouseEvent &) {}
  //! Disable mouse move
  void OnMouseMove(wxMouseEvent &) {}
  DECLARE_EVENT_TABLE()
  DECLARE_DYNAMIC_CLASS(TEFEditPlainView)
};

#endif

