// Version 5.33  06.04.2007 Markus Greither
// Copyright (c) 1991-2007 Markus Greither

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */

/*! \file efgrdnd.h
    \brief Header for the diagram drag and drop class
*/

#include <wx/dnd.h>

// ----------------------------------------------------------------------------
// EFGraphDropTarget
// ----------------------------------------------------------------------------

//! Class for DnD of graphs
class EFGraphDropTarget : public wxDropTarget
{
  //! Pointer to source diagram
  TEFGraphControl *GraphControl;

 public:
  //! Ctor
  EFGraphDropTarget(wxDataObject *data,TEFGraphControl *grc)
   : wxDropTarget(data)
  {
    GraphControl = grc;
  }
  //! Respond to drop
  wxDragResult OnData(wxCoord /*x*/, wxCoord /*y*/, wxDragResult def)
  {
      if ( !GetData() )
        return wxDragNone;
  
      wxCustomDataObject *dobj = (wxCustomDataObject *)m_dataObject;
      wxDragResult ret = (GraphControl->PasteGraph(*dobj,true)) ? def : wxDragCancel;
      return ret;
  }
};


