// Version 6.01  13.04.2007 Markus Greither
// Copyright (c) 1991-2007 Markus Greither

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */

/*! \file efreg.h
    \brief Header for the program registration values and class
*/

#ifndef __EFREG__
#define __EFREG__

#ifdef __WXMSW__

// ----------------------------------------------------------------------------
// EFKeyData
// ----------------------------------------------------------------------------

//! WIN32 only structure for registry entries
struct EFKeyData
{
  //! Name of the key
  const _TCHAR *key;
  //! Value string
  const _TCHAR *value;
  //! Data item
  const _TCHAR *data;
};

// ----------------------------------------------------------------------------
// EFRegister
// ----------------------------------------------------------------------------

//! Class for registering the program under Windows
class EFRegister
{
  //! Options count
  enum KeyOptions
  {
    AnzKeys = 15
  };
  //! Keys that need to be applied
  static EFKeyData Keys[AnzKeys];
  //! Create key name
  static bool CreateKey(const _TCHAR *name,WXHKEY &key);
  //! Set key properties
  static bool SetValueKey(WXHKEY &key,const _TCHAR *value,const _TCHAR *data);
 public:
  //! Set the registry entries
  static void SetRegValues(const _TCHAR *Path,bool debug);
  //! Remove the registry entries
  static void DelRegValues();
};

#endif

#endif

