// Version 5.26  09.07.2004 Markus Greither
// Copyright (c) 1991-2004 Markus Greither

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */

/*! \file efsprexp.h
    \brief Header for the spreadsheet export class
*/

#ifndef __EFSPREXP__
#define __EFSPREXP__

//! Class for Excel spreadsheet export
class EFSpreadsheetExport : public ZahlFormatObj
{
 public:
   //! Errors for spreadsheet export
   enum ExportErrors
   {
     OK = 0,
     InvalidFunction
   };
   //! Ctor
   EFSpreadsheetExport(const NumListFormat &nlf,MGStrListObj &F)
     : ZahlFormatObj(nlf),Functions(F) {}
   //! Does the conversion, Result gets the Excel formatted result
   ExportErrors Convert(MGPStr &Result);
 protected:
   //! Assignment operator
   void operator = (const EFSpreadsheetExport &) {}
   //! Functions to be converted
   MGStrListObj &Functions;
};

#endif
